import { proxyCustomElement, HTMLElement, h, Host } from '@stencil/core/internal/client';
import { B as BEM } from './bem.js';

const HintText = /*@__PURE__*/ proxyCustomElement(class HintText extends HTMLElement {
    constructor(registerHost) {
        super();
        if (registerHost !== false) {
            this.__registerHost();
        }
    }
    render() {
        const block = BEM.block('hint');
        const elContent = block.element('content');
        const elText = elContent.element('text');
        const elTextField = elText.element('field');
        return (h(Host, { key: '24898db6c3c51d19a7df6552a2e0f370c8812f95', class: Object.assign({}, elText.class()) }, h("p", { key: '2ff7501b81213d1a553f2a9a9c98df6d9577e5e8', class: Object.assign({}, elTextField.class()) }, h("slot", { key: 'e2f5ecd78ad99fc53713576807011f39884ad7fb' }))));
    }
}, [260, "bal-hint-text"]);
function defineCustomElement() {
    if (typeof customElements === "undefined") {
        return;
    }
    const components = ["bal-hint-text"];
    components.forEach(tagName => { switch (tagName) {
        case "bal-hint-text":
            if (!customElements.get(tagName)) {
                customElements.define(tagName, HintText);
            }
            break;
    } });
}

export { HintText as H, defineCustomElement as d };
